petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSUNDIALS

ODE solver using the LLNL CVODE/SUNDIALS package (now called SUNDIALS)

### Options Database

| -ts_sundials_type <bdf,adams> | - . -ts_sundials_gramschmidt_type <modified, classical> - type of orthogonalization inside GMRES Many br
| -ts_sundials_atol <tol> | - Absolute tolerance for convergence Many br
| -ts_sundials_rtol <tol> | - Relative tolerance for convergence Many br
| -ts_sundials_linear_tolerance <tol> | - . -ts_sundials_maxl <maxl> - Max dimension of the Krylov subspace Many br
| -ts_sundials_monitor_steps | - Monitor SUNDIALS internel steps Many br

Notes: This uses its own nonlinear solver and Krylov method so PETSc SNES and KSP options do not apply Many bronly PETSc PC options Many br

Many br

### See Also

TSCreate(), TS, TSSetType(), TSSundialsSetType(), TSSundialsSetMaxl(), TSSundialsSetLinearTolerance(),
TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSundialsGetIterations(), TSSetExactFinalTime() Many br

Level:beginner
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages